// Camera.h: Schnittstelle für die Klasse CCamera.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CAMERA_H__9EF6E891_BFA8_4C2D_A47D_C84F8E739328__INCLUDED_)
#define AFX_CAMERA_H__9EF6E891_BFA8_4C2D_A47D_C84F8E739328__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CameraEvent.h"

class CCamera  
{
private:
	int m_iEvents;
	int m_iActEvent;
	int m_iRound;
	double m_dRoundDuration;
	double m_dActTime;
	CCameraEvent* CameraEvent[50]; 
	void UseConst(double y, double* erg);
	void UseLinear(double x0, double y0, double x1, double y1, double* erg);
	void UseSpeed(double x0, double y0, double x1, double y1, double dx2, double dy2, double dx3, double dy3, double* erg);
	void UseAccel(double x0, double y0, double x1, double y1, double dx2, double dy2, double dx3, double dy3, double ddx4, double ddy4, double ddx5, double ddy5, double* erg);
public:
	CCamera();
	virtual ~CCamera();
	void AddEvent(double duration);
	void SetValue(int camvalue, int camtype, double y, double dy, double ddy);
	void SetActTime(double time);
	double GetActTime();
	void IncActTime(double time);
	double GetActValue(int camvalue);
	int GetActEvent();
};

#endif // !defined(AFX_CAMERA_H__9EF6E891_BFA8_4C2D_A47D_C84F8E739328__INCLUDED_)
